create or replace package DOCX_SDT_IF is
 -- Required procedure
  procedure genDOCX;
 
  -- Required variable
  v_docx blob;

  cursor c_sample is
  select rownum, owner, object_name from all_objects where rownum <= 100;
  
end DOCX_SDT_IF;
/
create or replace package body DOCX_SDT_IF is
/* 2016-JAN-26 11:33 */
/* PL/PDF REPORTER 3.7.0 */
l_paragraph1 pls_integer;
l_text_idx1 pls_integer;
l_text_idx2 pls_integer;
l_text_idx3 pls_integer;
procedure genDOCX is
 begin 
ploffx_docx.init( );
/* START PARAGRAPH */
l_paragraph1 := ploffx_docx.crParagraph();
l_text_idx1 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'In paragraph text have some optinal text. It appears when the epxression is true: ');
if 3<5 then

l_text_idx2 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'optional text');
end if;
l_text_idx3 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => ' ');
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph1);
ploffx_docx.getDoc( p_blob_file => v_Docx);
end;
end DOCX_SDT_IF;
/
